ClassNamePatternConverter Class Reference

Formats the class name of the site of the logging request. More...

Inherits NamePatternConverter.

## Public Member Functions

void | format (const log4cxx::spi::LoggingEventPtr &event, LogString &toAppendTo, log4cxx::helpers::Pool &p) const
| Formats an event into a string buffer. More...

## Static Public Member Functions

static PatternConverterPtr | newInstance (const std::vector< LogString > &options)
| Gets an instance of ClassNamePatternConverter. More...

## Additional Inherited Members

Protected Member Functions inherited from NamePatternConverter
| NamePatternConverter (const LogString &name, const LogString &style, const std::vector< LogString > &options)
| Constructor. More...
void | abbreviate (int nameStart, LogString &buf) const
| Abbreviate name in string buffer. More...
Static Protected Member Functions inherited from PatternConverter
static void | append (LogString &toAppendTo, const std::string &src)
| Appends content in the locale code page to a LogString. More...
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Formats the class name of the site of the logging request.

## Member Function Documentation

void format | ( | const log4cxx::spi::LoggingEventPtr & | event,
|  | LogString & | toAppendTo,
|  | log4cxx::helpers::Pool & | p
| ) |  | const

virtual

Formats an event into a string buffer.

Parameters

  event | event to format, may not be null.
  toAppendTo | string buffer to which the formatted event will be appended. May not be null.
  p | pool for memory allocations needing during format.

Implements LoggingEventPatternConverter.

static PatternConverterPtr newInstance | ( | const std::vector< LogString > & | options | ) |

static

Gets an instance of ClassNamePatternConverter.

Parameters

  options | options, may be null.

Returns
  instance of pattern converter.

The documentation for this class was generated from the following file:

- classnamepatternconverter.h